<?php
/**
 * Block Patterns
 *
 * @package fse_pet_shop
 * @since 1.0
 */

function fse_pet_shop_register_block_patterns() {
	$fse_pet_shop_block_pattern_categories = array(
		'fse-pet-shop' => array( 'label' => esc_html__( 'FSE Pet Shop', 'fse-pet-shop' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-pet-shop' ) ),
	);

	$fse_pet_shop_block_pattern_categories = apply_filters( 'fse_pet_shop_fse_pet_shop_block_pattern_categories', $fse_pet_shop_block_pattern_categories );

	foreach ( $fse_pet_shop_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_pet_shop_register_block_patterns', 9 );